var SITE_TEMPLATE_PATH = '/bitrix/templates/main';
function checkEmail( email ) {
    email = email.replace(/^\s+|\s+$/g, '');
    return (/^([a-z0-9_\-]+\.)*[a-z0-9_\-]+@([a-z0-9][a-z0-9\-]*[a-z0-9]\.)+[a-z]{2,4}$/i).test(email);
}
function validateForm( form ) {
    var error = 0,
        oldpass = '',
        pass = '',
        repass = '';

    form.find('.form-result.error').hide();
    form.find('.form-result.success').hide();

    $('.error-info').hide();
    $('input').removeClass('error');
    $('textares').removeClass('error');
    form.find('input').each(function(){
        if( $(this).prop('required') ) {
            switch ( $(this).attr('type') ) {
                case 'text':
                case 'tel':
                case 'password':
                    if ( $(this).val().length == 0 ) {
                        $(this).addClass('error');
                        $(this).next().show();
                        error++;
                    }
                    else {
                        if ( $(this).attr('type') == 'password' ) {
                            if ( oldpass.length == 0 ) oldpass = $(this).val();
                            else if ( pass.length == 0 ) pass = $(this).val();
                            else repass = $(this).val();
                        }
                    }
                    break;
                case 'email':
                    if ( !checkEmail( $(this).val() ) ) {
                        $(this).addClass('error');
                        $(this).next().show();
                        error++;
                    }
                    break;
            }
        }
    });
    form.find('textarea').each(function(){
        if( $(this).prop('required') ) {
            if ( $(this).val().length == 0 ) {
                $(this).addClass('error');
                $(this).next().show();
                error++;
            }
        }
    });

    if ( (pass != repass) && (pass.length > 0) && (repass.length > 0) ) {
        error++;
        form.find('input[type="password"]').addClass('error');
        form.find('input[type="password"]').next().show();
    }

    return error;
}
function sendForm( form, msg ){
    var dataForm = form.serialize();
    $.post(SITE_TEMPLATE_PATH + '/ajax/modals.php', dataForm, function (data) {
        form.find('.form-result.error').hide();
        form.find('.form-result.success').hide();
        if ( data == 'OK' ) {
            if ( msg == 'reload' )
                window.location.reload();
            else if ( msg.length > 0 )
                form.html('<p class="success">' + msg + '</p>');
            else{
                form.find('.form-result.success').html('Данные сохранены');
                form.find('.form-result.success').show();
            }
        }
        else {
            form.find('.form-result.error').html(data);
            form.find('.form-result.error').show();
        }
    });
}

$('#reg-form').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 )
        sendForm(form, 'reload');

    return false;
});
$('#oneclick-form').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 )
        sendForm(form, '<p class="form-ps">Cпасибо за заказ!<br/>Обработка заказов происходит с 10.00 до 19.00</p>');

    return false;
});
$('#add_review').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 )
        sendForm(form, '<p class="form-ps">Cпасибо за отзыв!</p>');

    return false;
});


$('.js-open_video').click(function(){
    $.post(SITE_TEMPLATE_PATH + '/ajax/modals.php', {id:$(this).closest('.js-product').data('id'), type:'video'}, function (data) {
        $('#popup-video .js-video_content').html( data );

        $('#popup-video').fadeIn(400);
        $('html').addClass('popup-open');
    });
    return false;
});

$.post(SITE_TEMPLATE_PATH + '/ajax/changeBasket.php', {action:'getCount'}, function (data) {
    $('.js-basket_count').html( data.basketCount );
}, 'json');

$('body').on('click','.js-add_basket', function(){
    var $this = $(this),
        id = $this.closest('.js-product').data('id');
    $this.css('visibility', 'hidden');
    $.post(SITE_TEMPLATE_PATH + '/ajax/changeBasket.php', {id:id, action:'add'}, function (data) {
        //$this.before('<a href="/personal/cart/">В корзине</a>');
        $this.parent().addClass('in-cart');
        $this.before('<a href="/personal/cart/"><span class="btn btn--blue-transparent">В корзине</span></a>');
        $this.remove();
        $('.js-basket_count').html( data.basketCount );
        $('#popup-addtocart').show();
    }, 'json');

    return false;
});

$('body').on('click','.js-change_city', function() {
    var id = $(this).data('id');
    $.post(SITE_TEMPLATE_PATH + '/ajax/modals.php', {id:id, type:'setcity'})
        .done(function( data ) {
            location.reload();
        }
    );

    //$(this).closest('ul').find('li').removeClass('active');
    //$(this).parent().addClass('active');

    //$('.js-city_name').text( $(this).text() );
    //$('.js-city_wrap').hide();
    //$('.js-city_wrap[data-id="' + id + '"]').show();

    return false;
});

/* selectmenu */
function selectmenu(){
    $(".selectmenu").not('.notstyler').selectmenu({
        change: function( event, data ) {
            if ( ($(this).attr('name') == 'catalog-sort') )
                window.location.href=this.value = data.item.value;
            if ( ($(this).attr('name') == 'js-change_basket') )
                changeBasket($(this));
        }
    });
}
selectmenu();

/* filter slider */
$( ".filter-slider-catalog" ).each(function() {
    var max = parseInt($( this ).data('max'), 10);
    var min = parseInt($( this ).data('min'), 10);
    var from = parseInt($( this ).data('from'), 10);
    var to = parseInt($( this ).data('to'), 10);
    $( this ).slider({
        range: true,
        min: min,
        max: max,
        values: [ from, to ],
        slide: function( event, ui ) {
            $(this).closest(".filter-slider-wrap").find( ".filter-slider-from-catalog" ).val( ui.values[ 0 ]);
            $(this).closest(".filter-slider-wrap").find( ".filter-slider-to-catalog" ).val( ui.values[ 1 ]);
            $('#price-from-mob').val( ui.values[ 0 ] );
            $('#price-to-mob').val( ui.values[ 1 ] );
        }
    });
});
$('.filter-slider-from-catalog').change(function(){
    var newVal = $(this).val();
    $(this).closest(".filter-slider-wrap").find(".filter-slider-catalog").slider('values',0,newVal);
    $('#price-from-mob').val(newVal);
});
$('.filter-slider-to-catalog').change(function(){
    var newVal = $(this).val();
    $(this).closest(".filter-slider-wrap").find(".filter-slider-catalog").slider('values',1,newVal);
    $('#price-to-mob').val(newVal);
});

$('body').on('click','.js-one_click',function(){
    $('#popup-buy1click').find('[name="id"]').val( $(this).closest('.js-product').data('id') );

    if ( $(this).closest('.js-product').data('img').length > 0 )
        $('#popup-buy1click').find('.buy1click__order-img').html('<img src="' + $(this).closest('.js-product').data('img') + '" alt="' + $(this).closest('.js-product').data('name') + '">');

    $('#popup-buy1click').find('.buy1click__product').html( $(this).closest('.js-product').data('name') );
    
    var priceHtml = '';
    if ( $(this).closest('.js-product').data('oldprice').length > 0 )
        priceHtml += '<div class="buy1click__order-oldprice">' + $(this).closest('.js-product').data('oldprice') + '</div>';
    priceHtml += '<div class="buy1click__order-newprice">' + $(this).closest('.js-product').data('price') + '<span class="rub">a</span></div>';

    $('#popup-buy1click').find('.oneclick-order__price').html( priceHtml );

    $('#popup-buy1click').fadeIn(400);
    $('html').addClass('popup-open');

    return false;
});


$('body').on('click','.js-like',function(){
    var block = $(this),
        count = parseInt(block.find('span').html()),
        id = block.closest('.js-reviews_item').data('id');
    $.post(SITE_TEMPLATE_PATH + '/ajax/modals.php', {id:id, type:'like'}, function(data){
        if ( data == 'OK' )
            block.find('span').html( count + 1 );
        else
            alert(data);
    });

    return false;
});

$('body').on('click','.js-dislike',function(){
    var block = $(this),
        count = parseInt(block.find('span').html()),
        id = block.closest('.js-reviews_item').data('id');
    $.post(SITE_TEMPLATE_PATH + '/ajax/modals.php', {id:id, type:'dislike'}, function(data){
        if ( data == 'OK' )
            block.find('span').html( count + 1 );
        else
            alert(data);
    });

    return false;
});

var apiEMS = SITE_TEMPLATE_PATH + "/ajax/post.php";
var method = "method=ems.get.locations&type=regions";
$.get(apiEMS,{met:method,mode:1},function(a){
    $("#region_ems").append(a);
    $("#region_ems").removeClass('notstyler');
    selectmenu();
});

$(".whatprice").click(function(){
    var wght = $(".weight").val();
    var kr = $("#kray").prop('checked');
    var target = '';
    if ( kr == true ) {
        target = $("#region_ems").val();
    } else {
        target = $("#region_ems option:selected").data("kray");
    }
    var method = "method=ems.calculate&from=city--moskva&to=" + target + "&weight=" + wght;
    $.get(apiEMS,{met:method,mode:2,weight:wght},function(b){
        $(".price_ems").html(b);
    });
    
    return false;
});

function pluminus() {
    $(".qty-box").find(".qty-minus").click(function(){
        var inputbox = $(this).parent().children(".inputbox");
        var value = inputbox.val();
        if(value > 1){
            var res = parseInt(value) - 1;
        }else{
            var res = 1;
        }
        if(res == 1)
            $(this).removeClass('active');
        inputbox.val(res);
    });
    $(".qty-box").find(".qty-plus").on('click', function(){
        var inputbox = $(this).parent().children(".inputbox");
        var value = inputbox.val();
        var res = parseInt(value) + 1;
        inputbox.val(res);
        $(this).siblings(".qty-minus").addClass('active');
    });
}

function getBasketContent(){
    $.post('/personal/cart/', {}, function(data){
        $('body').find('.js-basket_wrap').html( $(data).find('.js-basket_wrap').html() );
        pluminus();
    });
}

$('body').on('click','.js-change_basket',function(){
    var $this = $(this),
        id = $this.closest('.js-product').data('id'),
        count = $this.closest('.js-product').find('input').val();
    $.post(SITE_TEMPLATE_PATH + '/ajax/changeBasket.php', {id:id, count:count,action:'change'}, function (data) {
        $('.js-basket_count').html( data.basketCount );
        getBasketContent();
    }, 'json');

    return false;
});

$('body').on('click','.js-del_basket',function(){
    var $this = $(this),
        id = $this.closest('.js-product').data('id');
    $this.closest('.js-product').remove();
    $.post(SITE_TEMPLATE_PATH + '/ajax/changeBasket.php', {id:id, action:'delete'}, function (data) {
        getBasketContent();

        $('.js-basket_count').html( data.basketCount );

        if(data.basketCount == 0){
            window.location.reload();
        }
    }, 'json');

    return false;
});

$('#gift_form').submit(function(){
    var form = $(this),
        dataForm = form.serialize();
    if ( form.find('input:checked').length > 0 ) {
        $.post(SITE_TEMPLATE_PATH + '/ajax/modals.php?' + dataForm, '', function (data) {
            form.html('<p style="font-size: 20px;">Подарок добавлен к вашему заказу</p>');
        });
    }

    return false;
});

/*
$('#form_subscribe').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 )
        sendForm(form, 'Спасибо за подписку!');

    return false;
});
*/

/*AAD maillist*/
$('.mailthemes button').click(function(e){
	e.preventDefault();
	$('.mailthemes .themelist').slideToggle(200);
	$(this).parents('.mailthemes').toggleClass('thopn');
});
/*AAD maillist - end*/

$('#personal-form').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 )
        sendForm(form, '');

    return false;
});
$('#personal-form-delivery').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 )
        sendForm(form, '');

    return false;
});
$('#personal-form-pass').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 ){        
        sendForm(form, '');
    }

    return false;
});
$('#feedback-form').submit(function(){
    var form = $(this);
    if ( validateForm(form)  == 0 )
        sendForm(form, 'Спасибо за сообщение!');

    return false;
});

$('[href="#productfull-reviews"]').click(function(){
    $('.productfull-tabs__tab').removeClass('active');
    $('.productfull__info').hide();

    $('[href="#reviews"]').parent('.productfull-tabs__tab').addClass('active');
    $('#reviews').addClass('active').show();

    $("html, body").animate({ scrollTop:$('#reviews').offset().top }, 0);

    return false;
});

$(document).mouseup(function (e) {
    if ( $(".topline__city").has(e.target).length === 0 )
        $('.city-select').hide();
});

$("#back-top").hide();
$(function () {

    /* phone-mask */
    $(".phone-mask").mask("8 (999) 999-99-99");

    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('#back-top').fadeIn();
        } else {
            $('#back-top').fadeOut();
        }
    });
    // scroll body to 0px on click
    $('#back-top a').click(function () {
        $('body,html').animate({
            scrollTop: 0
        }, 800);
        return false;
    });

    var url = location.href.split('#'); 

    var section = url[0].split('/');

    if(typeof(section[4]) != 'undefined' && section[4] == 'oplata'){
        if(typeof(url[1]) != 'undefined'){
            $('.oplata_page a[href="#' + url[1] + '"]').click();
            var tab = url[1].split('mp-pay');
            $('.oplata_page .mobtab[data="' + tab[1] + '"]').click();
        }
    }

    if(typeof(section[4]) != 'undefined' && section[4] == 'dostavka'){
        if(typeof(url[1]) != 'undefined'){
            $('.delivery-tabs ul a[href="#' + url[1] + '"]').click();
        }
    }

    $('#delivery-free ul.delivery-city__abc > li > a').click(function(){
        
        $('#delivery-free ul.delivery-city__abc li').removeClass('select');

        $(this).parent().addClass('select');

        $('.delivery-city__res').hide();

        $('.delivery-city__res[data="' + $(this).html() + '"]').show();

        return false;
    });

    $('#delivery-pay ul.delivery-city__abc > li > a').click(function(){
        
        $('#delivery-free ul.delivery-city__abc li').removeClass('select');

        $(this).parent().addClass('select');

        $('.delivery-city__res').hide();

        $('.delivery-city__res[data="' + $(this).html() + '"]').show();

        return false;
    });

    $('.delivery_link_tab').click(function(){
        console.log($(this).attr('href'));
        $('.delivery-tabs ul a[href="' + $(this).attr('href') + '"]').click();
    });
});

$('.mobtab').each(function(){
    $(this).click(function(){
        var tabnum = $(this).data();
        $(this).toggleClass('cur');
        $(this).next('.grid-row.tab-panel').toggleClass('mob');
    });
});

$('.pokaz').click(function(){
    console.log('ok');
    $('.kred_gor').toggle();
    if($(this).hasClass('active')){
        $(this).removeClass('active');
    }
    else{
        $(this).addClass('active');
    }
});

$(function () {
    $('#form_delivery-company_po-rossii').submit(function(e){
        e.preventDefault();

        if($('#form_delivery-company_po-rossii #city').val().length >= 3){
            $.ajax({
                url: '/bitrix/templates/main/ajax/city.php?type=pay&city=' + $('#form_delivery-company_po-rossii #city').val(),
                success: function(data) {
                    $('#form_delivery-company_po-rossii_result').html(data);
                }
            });
        }

        return false;
    });    

    $('#form_delivery-company_po-mo').submit(function(e){
        e.preventDefault();

        $('#form_delivery-company_po-mo_result_error').hide();

        if($('#form_delivery-company_po-mo #city').val().length >= 3){
            $.ajax({
                url: '/bitrix/templates/main/ajax/city.php?type=mo&city=' + $('#form_delivery-company_po-mo #city').val(),
                success: function(data) {
                    if(data == ''){
                        $('#form_delivery-company_po-mo_result_error').show();
                    }
                    else{
                        $('#form_delivery-company_po-mo_result').html(data);
                    }
                }
            });
        }

        return false;
    });
});

$(function () {

    var url = location.href.split('/');

//    if(typeof(url[3]) != 'undefined' && url[3] == 'catalog'){
    if(typeof(url[3]) != 'undefined' && (url[3] == 'catalog' || url[3] == 'search' || url[3] == 'catalog-video' || url[3] == 'catalog-new' || url[3] == '')){

        city = getCookie('BITRIX_SM_CITY_ID');
        if(typeof(city) == 'undefined'){
            city = 0;
        }

        if(typeof(city) != 'undefined'){
            if(city == 451 || city == 447 || city == 0){
                $('.product__inshop ul.product__shop-list li.availability_moskow').show();
            }
            if(city == 451 || city == 448 || city == 0){
                $('.product__inshop ul.product__shop-list li.availability_piter').show();
            }
            if(city == 451 || city == 449 || city == 0){
                $('.product__inshop ul.product__shop-list li.availability_ekaterinburg').show();
            }
            if(city == 451 || city == 450 || city == 0){
                $('.product__inshop ul.product__shop-list li.availability_rostov').show();
            }     
        }

        var params = window.location.search.replace('?','').split('&').reduce(
                function(p,e){
                    var a = e.split('=');
                    p[ decodeURIComponent(a[0])] = decodeURIComponent(a[1]);
                    return p;
                },
                {}
        );

        // Прокрутка до блока с фильтрами
        if(typeof(params['new']) != 'undefined' || typeof(params['sale']) != 'undefined' || typeof(params['video']) != 'undefined'){
            var destination = $('.category__sort').offset().top;
            $('html, body').animate({ scrollTop: destination }, 100);
        }

        
    }

    if(typeof(url[3]) != 'undefined' && url[3] == 'products'){
        var anhor = location.href.split('#');
        if(typeof(anhor[1]) != 'undefined' && anhor[1] == 'reviews')
        {
            $('a[href="#reviews"]').click();
            var destination = $('#productfull-desc').offset().top;
            $('html, body').animate({ scrollTop: destination }, 100);
        }
    }

    $(document).on('click', '.btn.js-sert-more', function(){
        var btn = $(this);
        var href = btn.attr('href');
        
        $.ajax({
                type: "GET",
                url: href,
                timeout: 3000,
                success: function(data) {
                    btn.parent().remove();
                    $('.sert-list').append($(data).find('.sert-list').html());
                }
        });

        return false;
    });

    $('.footer-bottom__counters').append($('#liveinternet_block').html());
    $('#liveinternet_block').html('');
});

function getCookie(name) {
  var matches = document.cookie.match(new RegExp(
    "(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
  ));
  return matches ? decodeURIComponent(matches[1]) : undefined;
}

$(document).ready(function() {
    $('#user-history .order-info .cancel_order').click(function(){
        var btn = $(this);
        btn.prop('disabled', 'disabled');
        $.ajax({
            url: '/bitrix/templates/main/ajax/cancel_order.php?orderid=' + $(this).data('id'),
            success: function(data) {
                btn.parent().append('<p style="color: #e6393f;">Заказ отменен</p>');
                btn.hide();
            }
        });
    });
});

//$( window ).on( "load", function() {
//    $('.sale-slider-tab-loader').hide();
//    $('.sale-slider-tab').show();    
//});

$(document).ready(function() {
    //$('#form_subscribe button[type="submit"]').click(function(){
    $('#form_subscribe').submit(function(){
        var email = $('#form_subscribe input[name="email"]');
        if(email.val().length > 0)
        {
            var data = $('#form_subscribe').serialize();

            $.ajax({
                url: '/bitrix/templates/main/ajax/modals.php?type=subscribe',
                type: "POST",
                data: data,
                success: function(data) {
                    if(data == 'Added'){
                        $('#form_subscribe').html('<span style="color:#fff; text-align:center;display:block">Спасибо за подписку!</span>');
                    }
                    console.log(data);
                }
            });
        } 

        return false;       
    });
});